#!/bin/bash

set -e

if [[ "${WAIT_FOR_TARGET_VERSION}" == "1" ]] || [[ "${WAIT_FOR_TARGET_VERSION}" == "true" ]];
then
    WAIT_STRING="--wait --wait-seconds $WAIT_SECONDS"
else
    WAIT_STRING=""
fi


eval exec migrate_postgres_schema.py \
  --config-file $WRITABLE_BASE_DIR/etc/lastline/init_ndr_schema.ini --section ndr_db \
  $TARGET_VERSION \
  nsx_ndr_service.ndr_storage.migrations \
  /ndr-db-schema/$TARGET_VERSION.sql $WAIT_STRING
