--
-- PostgreSQL database dump
--

-- Dumped from database version 15.3 (Debian 15.3-1.pgdg110+1)
-- Dumped by pg_dump version 15.3 (Ubuntu 15.3-1.pgdg20.04+1)

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;


SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: usage_report_cache; Type: TABLE; Owner: postgres
--

CREATE TABLE usage_report_cache (
    usage_report_cache_uuid uuid PRIMARY KEY,
    site_uuid uuid NOT NULL,
    service_name text NOT NULL,
    metric_value integer NOT NULL,
    metric_timestamp timestamp without time zone NOT NULL
);

ALTER TABLE usage_report_cache OWNER TO postgres;

--
-- Name: usage_report_site_uuid_service_name; Type: INDEX; Owner: postgres
--

CREATE UNIQUE INDEX usage_report_site_uuid_service_name ON usage_report_cache USING btree (site_uuid, service_name);

--
-- Name: normalizedcomputeconfig; Type: TABLE; Owner: postgres
--

CREATE TABLE normalizedcomputeconfig (
    id character varying(255) NOT NULL,
    version bigint NOT NULL,
    deleted boolean NOT NULL,
    deletiontime bigint NOT NULL,
    lastupdatedtime bigint NOT NULL,
    revision bigint NOT NULL,
    metainfo jsonb
);

ALTER TABLE normalizedcomputeconfig OWNER TO postgres;

--
-- PostgreSQL database dump complete
--

